Qt 5.6 | Qt GUI | C++ Classes | QTouchEvent

Qt 5.6.2 Reference Documentation

# Obsolete Members for QTouchEvent

The following members of class QTouchEvent are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Types

`(obsolete)` enum | DeviceType { }

## Public Functions

`(obsolete)` QTouchEvent::DeviceType | deviceType() const

## Member Type Documentation

### enum QTouchEvent::DeviceType

This enum represents the type of device that generated a QTouchEvent.

This enum has been deprecated. Use QTouchDevice::DeviceType instead.

See also QTouchDevice::DeviceType, QTouchDevice::type(), and QTouchEvent::device().

## Member Function Documentation

### QTouchEvent::DeviceType QTouchEvent::deviceType() const

Returns the touch device Type, which is of type DeviceType.

This function has been deprecated. Use QTouchDevice::type() instead.

See also QTouchDevice::type() and QTouchEvent::device().